GIMP Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# GimpChainButton

## Name

GimpChainButton --

## Synopsis

    struct      GimpChainButton;
    #define     GIMP_CHAIN_BUTTON               (obj)
    enum        GimpChainPosition;
    GtkWidget*  gimp_chain_button_new           (GimpChainPosition position);
    void        gimp_chain_button_set_active    (GimpChainButton *gcb,
                                                 gboolean is_active);
    gboolean    gimp_chain_button_get_active    (GimpChainButton *gcb);

## Object Hierarchy

      GtkObject
       +----GtkWidget
             +----GtkContainer
                   +----GtkTable
                         +----GimpChainButton

## Description

## Details

### struct GimpChainButton

    struct GimpChainButton;

### GIMP_CHAIN_BUTTON()

    #define GIMP_CHAIN_BUTTON(obj)            (GTK_CHECK_CAST ((obj), GIMP_TYPE_CHAIN_BUTTON, GimpChainButton))

`obj` : |

### enum GimpChainPosition

    typedef enum
    {
      GIMP_CHAIN_TOP,
      GIMP_CHAIN_LEFT,
      GIMP_CHAIN_BOTTOM,
      GIMP_CHAIN_RIGHT
    } GimpChainPosition;

### gimp_chain_button_new ()

    GtkWidget*  gimp_chain_button_new           (GimpChainPosition position);

`position` : |
Returns : |

### gimp_chain_button_set_active ()

    void        gimp_chain_button_set_active    (GimpChainButton *gcb,
                                                 gboolean is_active);

`gcb` : |
`is_active` : |

### gimp_chain_button_get_active ()

    gboolean    gimp_chain_button_get_active    (GimpChainButton *gcb);

`gcb` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
GIMP User Interface Library | GimpColorButton